Subject: [manet] DLEP-15: Credit Windowing extensions

From: RJ Atkinson <[email-masked]>
Date: Mon, 13 Jul 2015 13:12:25 -0400

1) Current text unclear

I concur with David Wiggins that the current text
in DLEP-15 for Section 10 is too ambiguous.  I 
support the capability, but I would like to see the
specification for the capability improved.

I look forward to some revised, and ideally 
more precisely/clearly written text for this section.

2) Packaging

Separately, I would urge that since Section 10 is
entirely optional-to-implement, that it be moved
out of the main body of the DLEP specification, 
AT LEAST into a distinct Appendix and PREFERABLY
into a parallel specification that would progress
jointly with the base DLEP specification.  Handling
Credit Windowing in this way helps provide a worked
example for any future RFCs with DLEP extensions.

A separate document also makes it easier for users/customers
to specify that the products they wish to purchase/use
must implement the Credit Windowing extensions.

Yours,

Ran